Page Summary
-
This method gets an inventory source group using a GET request to the specified URL.
-
The request requires a path parameter,
inventorySourceGroupId, to identify the group to fetch. -
The request requires one of two union query parameters,
partnerIdoradvertiserId, to specify which DV360 entity the request is being made within. -
A successful response returns an instance of
InventorySourceGroup. -
The method requires the
https://www.googleapis.com/auth/display-videoOAuth scope for authorization.
Gets an inventory source group.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/inventorySourceGroups/{inventorySourceGroupId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
inventorySourceGroupId |
Required. The ID of the inventory source group to fetch. |
Query parameters
| Parameters | |
|---|---|
Union parameter accessor. Required. Identifies which DV360 entity the request is being made within. The GET request will only return the inventory source group entity if it is accessible to the DV360 entity identified within the accessor. accessor can be only one of the following: |
|
partnerId |
The ID of the partner that has access to the inventory source group. A partner cannot access an advertiser-owned inventory source group. |
advertiserId |
The ID of the advertiser that has access to the inventory source group. If an inventory source group is partner-owned, only advertisers to which the group is explicitly shared can access the group. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of InventorySourceGroup.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.